Subject: [alpine-devel] APKBUILD for testing/check_mk-agent

From: Florian Heigl <[email-masked]>
Date: Sun, 20 Jan 2013 12:17:37 +0200

This patch adds a APKBUILD for the Check_MK Monitoring agent.

Maintainer:
I can easily maintain this port as I was on the project for two years.

What it does:
A shell script that gathers system information.
Check_MK extends Nagios/Icinga by many features, one of the most important parts is having a very simple agent that auto-gathers all relevant info whenever the server asks for it.
The server side then auto-inventorizes all monitor able objects based on the agent's info, saving you from wasting your life's time on config generation / maintenance.
This takes well under 1 second to run on my Alpine systems.

Whats in it:
The agent is a editable / extensible shell script, plus a binary that handles timeout situations.

How to use:
To make the agent accessible you have to chose some means of connecting it with a server. 
"Default" on other OS is via xinetd (convenience). I have not included the default Xinetd config, since SSH is IMHO saner (security) and just as easy to set up.
SSH Connections are described in http://mathias-kettner.de/checkmk_datasource_programs.html
By using that method, even tunneling over email is feasible.

Well, of course you also need a monitoring server with Nagios & Check_MK for this to show results, but that's nothing to do with this APKBUILD :)